/**
 *
 */
package de.intevation.gnv.artifactdatabase.client;

import org.apache.log4j.Logger;

import java.util.Locale;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class ArtifactDatabaseClientFactory {

    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger
            .getLogger(ArtifactDatabaseClientFactory.class);

    /**
     * The singleton Instance of this Factory.
     */
    private static ArtifactDatabaseClientFactory instance = null;

    /**
     * Constructor
     */
    private ArtifactDatabaseClientFactory() {
        super();
    }

    /**
     * This Method provides an singleton Instance of this Class.
     * 
     * @return an singleton Instance of this Class
     */
    public static synchronized ArtifactDatabaseClientFactory getInstance() {
        if (instance == null) {
            instance = new ArtifactDatabaseClientFactory();
        }
        return instance;
    }

    /**
     * Getting the ArtifactDatabaseClient
     * @param locale teh Local that should be used for the Communication
     * @return the ArtifactDatabaseClient
     */
    public ArtifactDatabaseClient getArtifactDatabaseClient(Locale locale) {
        // TODO Read from Configuration?
        DefaultArtifactDatabaseClient adc = new DefaultArtifactDatabaseClient();
        adc.setLocale(locale);
        return adc;
        
    }

}
