/**
 *
 */
package de.intevation.gnv.artifactdatabase.objects;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class ArtifactFactory implements ArtifactObject {

    private String name = null;

    private String description = null;

    private boolean selected = false;

    private String dataBaseUrl = null;

    /**
     * @return the dataBaseUrl
     */
    public String getDataBaseUrl() {
        return dataBaseUrl;
    }

    /**
     * Constructor
     * 
     * @param name
     * @param description
     * @param dataBaseUrl
     */
    public ArtifactFactory(String name, String description, String dataBaseUrl) {
        super();
        this.name = name;
        this.description = description;
        this.dataBaseUrl = dataBaseUrl;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ArtifactObject#getId()
     */
    public String getId() {
        return this.name;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ArtifactObject#isSelected()
     */
    public boolean isSelected() {

        return this.selected;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ArtifactObject#setSelected(boolean)
     */
    public void setSelected(boolean selected) {
        this.selected = selected;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ArtifactObject#getName()
     */
    public String getName() {
        return name;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ArtifactObject#getDescription()
     */
    public String getDescription() {
        return description;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ArtifactObject#getHash()
     */
    public String getHash() {
        return null;
    }

}
